MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022196Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2011-01-21 18:132014-11-12 09:51
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionreopened 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022196: Problem with puting texture on the bottle.brep shape
DescriptionThe attached bottle.brep shape flickers after puting texture by multiplication way.
The problem cab be reproduced on mfc sample (Viewer3d)
TagsNo tags attached.
Test case numberbugs modalg_2 bug22196
Attached Filesgif file icon bottle.gif (42,927 bytes) 2011-01-21 18:13
? file icon bottle.brep (405,604 bytes) 2011-01-21 18:14
gif file icon carrelage1.gif (108,931 bytes) 2011-01-21 18:14
gif file icon bottle_scaled.GIF (16,215 bytes) 2011-01-31 11:45
? file icon scaled.brep (1,284,288 bytes) 2011-02-11 11:31

- Relationships
related to 0022221closedapl Open CASCADE Textured bottle faces overlapps in viewer3d sample 

-  Notes
(0033012)
oan (developer)
2014-10-13 12:57

Dear Bugmaster,

I can not check problem with texture without test script. Please provide name of test case corresponded to actual test system in bug description.

Problem with scaling of shape is not reproduced using current master.

I suggest to test this issue and close in case if necessary tests are passed.
(0033098)
bugmaster (administrator)
2014-10-15 10:59

Problem is not reproduced.
I update test case name actual test system in bug description.
(0033118)
abv (manager)
2014-10-15 12:16

Igor, the bug is related to textures while test case does nothing related to textures (essentially it just loads a shape, checks it validity and displays in 3d viewer). Please consider completing the test so that it applies texture. Note that instead of using invalid saved shape it could be logical to generate one with script samples/tcl/bottle.tcl, then scale it to reproduce a problem.
(0033574)
git (administrator)
2014-10-22 16:50

Branch CR22196 has been created by apn.

SHA-1: 65b619c36ea33617c1624a939636a59100277d87


Detailed log of new commits:

Author: apn
Date: Wed Oct 22 16:49:59 2014 +0400

    0022196: Problem with puting texture on the bottle.brep shape
    
    Test case bugs/modalg_2/bug22196 was modified to apply texture.
(0033575)
apn (administrator)
2014-10-22 16:50
edited on: 2014-10-22 16:51

Test case bugs/modalg_2/bug22196 was modified to apply texture in branch CR22196.

(0034280)
git (administrator)
2014-11-12 09:51

Branch CR22196 has been deleted by inv.

SHA-1: 65b619c36ea33617c1624a939636a59100277d87

- Related Changesets
occt: master 876d1f2a
Timestamp: 2014-10-22 12:49:59
Author: apn
Committer: bugmaster
Details ] Diff ]
0022196: Problem with puting texture on the bottle.brep shape

Test case bugs/modalg_2/bug22196 was modified to apply texture.
mod - tests/bugs/modalg_2/bug22196 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-01-21 18:15 bugmaster Assigned To bugmaster => apl
2011-01-21 18:15 bugmaster Status new => assigned
2011-01-31 11:42 apl OtherBugsDependingOnThis => 22221
2011-01-31 12:16 bugmaster Assigned To apl => pdn
2011-01-31 12:16 bugmaster Category => MOA
2011-02-11 09:25 pdn CC => epa, abv
2011-02-11 09:25 pdn Assigned To pdn => inv
2011-02-11 12:59 bugmaster Assigned To inv => jgv
2011-02-11 14:30 bugmaster Assigned To jgv => emv
2011-03-18 16:47 bugmaster BugsThisDependsOn => 22240
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-17 15:58 apn Test case number => chl 934 G9
2011-11-17 15:58 apn Fixed in Version EMPTY =>
2011-11-17 15:58 apn Description Updated View Revisions
2013-03-02 09:46 abv Assigned To emv => oan
2013-03-02 09:46 abv Target Version => 6.6.0
2013-04-19 15:35 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:27 abv Target Version 6.7.1 => 6.8.0
2014-09-26 10:31 abv Target Version 6.8.0 => 7.1.0
2014-09-26 10:57 san Relationship added related to 0025276
2014-10-13 12:57 oan Note Added: 0033012
2014-10-13 12:57 oan Assigned To oan => bugmaster
2014-10-13 12:57 oan Status assigned => feedback
2014-10-15 10:54 bugmaster Test case number chl 934 G9 => bugs modalg_2 bug22196
2014-10-15 10:59 bugmaster Note Added: 0033098
2014-10-15 10:59 bugmaster Status feedback => tested
2014-10-15 11:00 bugmaster Status tested => verified
2014-10-15 11:00 bugmaster Resolution open => fixed
2014-10-15 11:00 bugmaster Assigned To bugmaster => oan
2014-10-15 12:16 abv Assigned To oan => bugmaster
2014-10-15 12:16 abv Note Added: 0033118
2014-10-15 12:16 abv Status verified => feedback
2014-10-15 12:16 abv Resolution fixed => reopened
2014-10-17 14:05 bugmaster Assigned To bugmaster => apv
2014-10-20 12:01 bugmaster Assigned To apv => apn
2014-10-22 16:50 git Note Added: 0033574
2014-10-22 16:50 apn Note Added: 0033575
2014-10-22 16:51 apn Note Edited: 0033575 View Revisions
2014-10-22 16:51 apn Assigned To apn => bugmaster
2014-10-22 16:51 apn Status feedback => tested
2014-10-23 10:31 bugmaster Target Version 7.1.0 => 6.8.0
2014-10-24 15:38 bugmaster Changeset attached => occt master 876d1f2a
2014-10-24 15:38 bugmaster Status tested => verified
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:51 git Note Added: 0034280


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker